using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Cryptography.X509Certificates;
using System.IO;
using CryptoCMP.Encypt;
using CryptoCMP;

namespace EncryptCMP
{
    class Program
    {
        static void Main(string[] args)
        {
            // выбираем сертификат одного или нескольких получателей
            
            FileStream f = new FileStream("c:\\1\\resp2.cer", FileMode.OpenOrCreate);
            byte[] cert_resp = new byte[f.Length];
            f.Read(cert_resp, 0, cert_resp.Length);
            f.Close();
            // формируем массив сертификатов
            X509Certificate2 resp_cert2 = new X509Certificate2(cert_resp);
            X509Certificate2[] arr_cert = new X509Certificate2[1];
            arr_cert[0] = resp_cert2;
            CMPEcnrypt enc = new CMPEcnrypt();
            // шифруем
            byte[] enc_res_my = enc.Encrypt(arr_cert, System.Text.Encoding.ASCII.GetBytes("1234567890"), true, CpTumar.CALG_GOST);
            // получатель расшифровавыет на своем профайле
            string dec_res_my = System.Text.Encoding.ASCII.GetString(enc.Decrypt("profile://MT2", enc_res_my));
        }
    }
}
